version: '3.4'
services:

  # Instant Messaging
  riot:
    build:
      context: ./riotweb
      args:
        # https://github.com/vector-im/riot-web/releases
        VERSION: 1.7.9
    image: superboum/amd64_riotweb:v17

  synapse:
    build: 
      context: ./matrix-synapse
      args:
        # https://github.com/matrix-org/synapse/releases
        VERSION: 1.21.0
    image: superboum/amd64_synapse:v36

  # Email
  sogo:
    build:
      context: ./sogo
      args:
        # fake for now
        VERSION: 5.0.0
    image: superboum/amd64_sogo:v7

  # VoIP
  jitsi-meet:
    build:
      context: ./jitsi-meet
      args:
        # https://github.com/jitsi/jitsi-meet
        PREFIXV: stable/jitsi-meet_
        VERSION: 4966
    image: superboum/amd64_jitsi_meet:v1

  jitsi-conference-focus:
    build:
      context: ./jitsi-conference-focus
      args:
        # https://github.com/jitsi/jicofo
        PREFIXV: stable/jitsi-meet_
        VERSION: 4966
    image: superboum/amd64_jitsi_conference_focus:v5

  jitsi-videobridge:
    build:
      context: ./jitsi-videobridge
      args:
        # https://github.com/jitsi/jitsi-videobridge
        PREFIXV: stable/jitsi-meet_
        VERSION: 4966
    image: superboum/amd64_jitsi_videobridge:v15

  jitsi-xmpp:
    build:
      context: ./jitsi-xmpp
      args:
        VERSION: fake-1
    image: superboum/amd64_jitsi_xmpp:v4

  plume:
    build:
      context: ./plume
      args:
        VERSION: 0cd26dfbf4ab7be467325ed77230cf371147a98e
    image: superboum/plume:v1
